"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderApp = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_helmet_async_1 = require("react-helmet-async");
var react_router_dom_1 = require("react-router-dom");
var runtime_1 = require("@project-watchtower/runtime");
function renderApp(currentLocation, renderFn, log, appRender, promiseTracker) {
    var context = {};
    var helmetContext = {};
    var renderResult = (0, runtime_1.functionTimer)('Server side render', function () {
        return renderFn(react_1.default.createElement(react_helmet_async_1.HelmetProvider, { context: helmetContext },
            react_1.default.createElement(react_router_dom_1.StaticRouter, { location: currentLocation, context: context }, appRender(promiseTracker))));
    }, log);
    return {
        context: context,
        head: helmetContext.helmet,
        renderResult: renderResult,
    };
}
exports.renderApp = renderApp;
