"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.routerContextHandler = exports.createResponse = void 0;
var server_render_results_1 = require("./server-render-results");
var runtime_1 = require("@project-watchtower/runtime");
var createResponse = function (_a) {
    var renderResult = _a.renderResult, ssrRequestProps = _a.ssrRequestProps, startTime = _a.startTime, statusCode = _a.statusCode, renderLocation = _a.renderLocation;
    return {
        elapsed: (0, runtime_1.formatElapsed)(process.hrtime(startTime)),
        head: renderResult.head,
        renderLocation: renderLocation,
        renderedContent: renderResult.renderResult,
        ssrRequestProps: ssrRequestProps,
        statusCode: statusCode,
        type: server_render_results_1.ServerRenderResultType.Success,
    };
};
exports.createResponse = createResponse;
var routerContextHandler = function (renderResult, startTime, ssrRequestProps, renderLocation) {
    if (renderResult.context.url) {
        return {
            elapsed: (0, runtime_1.formatElapsed)(process.hrtime(startTime)),
            head: renderResult.head,
            isPermanent: renderResult.context.statusCode === 301,
            redirectTo: renderResult.context.url,
            type: server_render_results_1.ServerRenderResultType.Redirect,
        };
    }
    var statusCode = renderResult.context.statusCode ? renderResult.context.statusCode : 200;
    return (0, exports.createResponse)({
        renderLocation: renderLocation,
        renderResult: renderResult,
        ssrRequestProps: ssrRequestProps,
        startTime: startTime,
        statusCode: statusCode,
    });
};
exports.routerContextHandler = routerContextHandler;
