export * from './config/config';
export * from './environment';
export * from './server';
export * from './ssr';
export * from './assets';
export * from './utils/fs';
export * from './utils/network';
export * from './utils/promise-tracker';
export interface RuntimeConfig {
    ASSETS_PATH_PREFIX: string;
    ASSETS_PATH: string;
    SERVER_PUBLIC_DIR: string | false;
    PUBLIC_PATH: string;
    BASE: string;
}
export interface BuildConfig {
    ASSETS_PATH_PREFIX: string;
    BASE: string;
    CLIENT_ENTRY: string;
    ADDITIONAL_CIENT_ENTRIES?: {
        [name: string]: string[];
    };
    CLIENT_POLYFILLS: string | false;
    OUTPUT: string;
    HAS_SERVER: boolean;
    DEV_SERVER_PORT: number;
    PUBLIC_PATH: string;
    SERVER_ENTRY: string;
    SERVER_BUNDLE_ALL: boolean;
    SERVER_BUNDLE_ALL_EXCEPT?: string[];
    SERVER_INCLUDE_IN_BUNDLE: string[];
    SERVER_PUBLIC_DIR: string | false;
    STATIC_RESOURCE_NAMES: boolean;
    STATS_ENV: {
        [key: string]: string;
    };
    STATS_PAGES: {
        [name: string]: string;
    };
    SMP?: boolean;
    TS_CONFIG_CLIENT?: string;
    TS_CONFIG_SERVER?: string;
    BABEL_CONFIG_CLIENT?: string;
    BABEL_CONFIG_SERVER?: string;
}
export type BuildConfigOverride = Partial<BuildConfig>;
