/// <reference types="react" />
import { Logger } from 'typescript-log';
import { CreateAppElement } from './render-app-to-string';
import { WatchtowerEvents } from './render-events';
import * as ServerRenderResults from './server-render-results';
import { PromiseTracker } from '../utils/promise-tracker';
export interface RenderOptions<RenderResult> {
    log: Logger;
    errorLocation: string;
    pageNotFoundLocation: string;
    appRender: CreateAppElement;
    events?: WatchtowerEvents;
    renderFn: (element: React.ReactElement<any>) => RenderResult;
}
export interface ServerSideRenderOptions<RenderResult> extends RenderOptions<RenderResult> {
    ssrTimeoutMs: number;
    resetRequest: (location: string) => Promise<any>;
}
export interface PageTag {
    tag: string;
}
export interface PageTags {
    head: PageTag[];
    preBody: PageTag[];
    body: PageTag[];
}
export declare function renderPageContents<SSRRequestProps extends object, RenderResult>(ssrRequestProps: SSRRequestProps, options: ServerSideRenderOptions<RenderResult>, location: string, promiseTracker: PromiseTracker): Promise<ServerRenderResults.ServerRenderResult<SSRRequestProps, RenderResult>>;
