import React from 'react';
import { HelmetProvider } from 'react-helmet-async';
import { StaticRouter } from 'react-router-dom';
import { functionTimer } from '@project-watchtower/runtime';
export function renderApp(currentLocation, renderFn, log, appRender, promiseTracker) {
    var context = {};
    var helmetContext = {};
    var renderResult = functionTimer('Server side render', function () {
        return renderFn(React.createElement(HelmetProvider, { context: helmetContext },
            React.createElement(StaticRouter, { location: currentLocation, context: context }, appRender(promiseTracker))));
    }, log);
    return {
        context: context,
        head: helmetContext.helmet,
        renderResult: renderResult,
    };
}
